const Webpack = require('webpack')
const WebpackMerge = require('webpack-merge')
const WebpackBaseConfig = require('./webpack.base.config.js')
var webpackPlugins = WebpackBaseConfig.plugins

module.exports = WebpackMerge(WebpackBaseConfig, {
  devtool: 'inline-source-map',
  plugins: webpackPlugins.concat([
    new Webpack.HotModuleReplacementPlugin()
  ])
})
